Rem BasicCard Sample Source Code
Rem ------------------------------------------------------------------
Rem Copyright (C) 1997-2008 ZeitControl GmbH
Rem You have a royalty-free right to use, modify, reproduce and 
Rem distribute the Sample Application Files (and/or any modified 
Rem version) in any way you find useful, provided that you agree 
Rem that ZeitControl GmbH has no warranty, obligations or liability
Rem for any Sample Application Files.
Rem ------------------------------------------------------------------

#Include EC-P.DEF

Declare Command &H20 &H00 GetCurveIndex (Lc=0, CurveIndex As Integer)
Declare Command &H20 &H01 GenerateKey()
Declare Command &H20 &H02 SetPrivateKey (PrivateKey$, Disable Le)
Declare Command &H20 &H03 GetPublicKey (Lc=0, PublicKey$)
Declare Command &H20 &H04 SetSharedSecret (PublicKey$)
Declare Command &H20 &H05 SetSessionKey (KDP$, Disable Le)
Declare Command &H20 &H06 SignNR (Hash$)
Declare Command &H20 &H07 SignDSA (Hash$)
Declare Command &H20 &H08 ECVerifyNR (Asn1SignaturePublicKeyHash$, Disable Le)
Declare Command &H20 &H09 ECVerifyDSA (Asn1SignaturePublicKeyHash$, Disable Le)
